Download it now!
Bug 114833 - Dutch locale: date input without year (pattern D-M) displays as dd-mm-yy, while with year (pattern D-M-Y) displays as ISO yyyy-mm-dd
Summary: Dutch locale: date input without year (pattern D-M) displays as dd-mm-yy, whi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.2.1 rc
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.1.0 target:6.0.2 target:5.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-04 14:24 UTC by Cor Nouws
Modified: 2018-02-28 09:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2018-01-04 14:24:50 UTC
Take a clean sheet with default formatting.

Cell   Enter      Displayed
A1     4-1        04-01-18
A2     4-1-17     2017-01-04
A3     4-1-18     2018-01-04

Now select A1 again
       4-1-17     04-01-17

This feels a bit inconsistent.
The previous behavior was always dd-mm-yy
Solution could (also) be: always dd-mm-yyyy ?


(sorry for noticing this now - typically something one sees shortly after New Year ..)

Noticed in Version: 6.1.0.0.alpha0+
Build ID: fd3fc84e590fc84f62ce3bace668fe40a25f54b5
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-02_06:47:05
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded

First version with this issue is Version: 6.0.0.0.alpha0+
Build ID: 4b4ebb15456af443347679a7e7e8726c090a5bf5
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2;
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
2017-08-30_23:53:37
Locale: nl-NL (nl_NL.UTF-8); Calc: group

obviously related to the work for bug 91758
Comment 1 Eike Rathke 2018-02-15 19:01:23 UTC
Investigating.
Comment 2 Xavier Van Wijmeersch 2018-02-15 21:34:09 UTC
cor, when i follow your description i have a text input, can this be a local problem. When i enter a date, i use 4/1; i get dd/mm/yyyy
And my os is default language en; also libreoffice ui
Comment 3 Commit Notification 2018-02-16 11:20:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2448e6cfeb787ae37cdadd7d6181e723b7024d27

Resolves: tdf#114833 do not officiously force Y-M-D if D-M-Y is applicable

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Cor Nouws 2018-02-16 11:30:02 UTC
@xavier: yes it is related to the locale.

@eike: thanks - leaving for a week soon, but will try to fetch a daily build sometime ;)
Comment 5 Eike Rathke 2018-02-16 11:41:38 UTC
Pending review
https://gerrit.libreoffice.org/49849 for 6-0
https://gerrit.libreoffice.org/49851 for 5-4
Comment 6 Commit Notification 2018-02-16 12:34:53 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad3834b121e773364fdf640beadffdf42e0f3dae

Unit test tdf#114833 do not officiously force Y-M-D if D-M-Y is applicable

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-02-21 20:36:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1a4f50d686054b757320c0ef3f3dc4c724c685c&h=libreoffice-6-0

Resolves: tdf#114833 do not officiously force Y-M-D if D-M-Y is applicable

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-02-28 09:22:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51ab84a1e413d90a89dfc733e650d922a5dedd26&h=libreoffice-5-4

Resolves: tdf#114833 do not officiously force Y-M-D if D-M-Y is applicable

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.